"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const consola_1 = __importDefault(require("consola"));
const automation_1 = require("./automation");
const defaultDeletionOptions = {
    filters: ['posts'],
};
const deleteFacebookActivities = (deletionOptions = defaultDeletionOptions) => (credentials) => __awaiter(void 0, void 0, void 0, function* () {
    const operationalOptions = Object.assign(Object.assign({}, defaultDeletionOptions), deletionOptions);
    const { email, password } = credentials;
    const browser = yield automation_1.launchBrowser({ headless: false });
    const page = yield automation_1.openNewPage('https://facebook.com')(browser);
    consola_1.default.info('LOGGING IN...');
    yield automation_1.loginUser({ email, password })(page);
    consola_1.default.info('NAVIGATING TO PROFILE...');
    yield automation_1.navigateToProfile(page);
    consola_1.default.info('NAVIGATING TO ACTIVITY LOG...');
    yield automation_1.navigateToActivityLog(page);
    consola_1.default.info('SELECTING ACTIVITY LOG FILTER...');
    yield automation_1.selectActivityLogFilter('posts')(page);
    while (true) {
        consola_1.default.info('DELETING POST...');
        yield automation_1.deleteLatestPost(page);
        yield automation_1.reloadPage(page);
    }
});
exports.default = deleteFacebookActivities;
//# sourceMappingURL=index.js.map